[FIXED] You need to use a different version code for your APK or Android App Bundle because you already have one with version code 1

Issue

I want to published a update version of my android apps.

When I upload it give me this warning.

Lot of article show If I add version number in my manifest file it work.

in my case it not still working.

Solution

Every time you build a new apk or bundle to publish to the store you need tu upgrade the versionCode in app level build.gradle file. Usually it’s increase 1 by 1. In your case upgrade to 2.

versionCode 2

look at this : https://developer.android.com/studio/publish/versioning

android 
{ 
    compileSdkVersion 28 defaultConfig 
    { 
        applicationId "example.xxz.abc"
        minSdkVersion 19
        targetSdkVersion 28
        versionCode 1  <-------------- CHANGE HERE
        versionName "1.0"
    } 
    buildTypes 
    { 
        release 
        { 
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        } 
    } 
} 

dependencies 
{ 
    implementation fileTree(include 
                            : [ '*.jar' ], dir 
                            : 'libs') 
    ...
} 

Answered By – SebastienRieu

Answer Checked By – Mary Flores (Easybugfix Volunteer)

Leave a Reply

(*) Required, Your email will not be published